- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# PackageStruct Struct Reference
[RPMBUILD.]

The structure used to store values for a package. More...

`#include <rpmspec.h>`

## Data Fields
Header | header
void * | cpioList
Source * | icon
int | autoReq
int | autoProv
const char * | preInFile
const char * | postInFile
const char * | preUnFile
const char * | postUnFile
const char * | verifyFile
StringBuf | specialDoc
TriggerFileEntry * | triggerFiles
const char * | fileFile
StringBuf | fileList
PackageStruct * | next

## Detailed Description

The structure used to store values for a package.

Definition at line 148 of file rpmspec.h.

## Field Documentation

Header PackageStruct::header

Definition at line 150 of file rpmspec.h.

Referenced by doSetupMacro(), freePackage(), genSourceRpmName(), handlePreambleTag(), initSourceHeader(), lookupPackage(), packageBinaries(), parseChangelog(), parseDescription(), parsePreamble(), parseRCPOT(), parseScript(), parseSpec(), printNewSpecfile(), processBinaryFiles(), processPackageFiles(), processScriptFiles(), readRPM(), rewriteRPM(), and rpmQueryVerify().

void* PackageStruct::cpioList

Definition at line 153 of file rpmspec.h.

Referenced by freePackage(), packageBinaries(), processBinaryFiles(), and processPackageFiles().

struct Source* PackageStruct::icon`[read]`

Definition at line 155 of file rpmspec.h.

Referenced by addSource(), doRmSource(), freePackage(), and processSourceFiles().

int PackageStruct::autoReq

Definition at line 157 of file rpmspec.h.

Referenced by generateDepends(), and handlePreambleTag().

int PackageStruct::autoProv

Definition at line 158 of file rpmspec.h.

Referenced by generateDepends(), and handlePreambleTag().

const char* PackageStruct::preInFile

pre scriptlet.

Definition at line 160 of file rpmspec.h.

Referenced by freePackage(), parseScript(), and processScriptFiles().

const char* PackageStruct::postInFile

post scriptlet.

Definition at line 161 of file rpmspec.h.

Referenced by freePackage(), parseScript(), and processScriptFiles().

const char* PackageStruct::preUnFile

preun scriptlet.

Definition at line 162 of file rpmspec.h.

Referenced by freePackage(), parseScript(), and processScriptFiles().

const char* PackageStruct::postUnFile

postun scriptlet.

Definition at line 163 of file rpmspec.h.

Referenced by freePackage(), parseScript(), and processScriptFiles().

const char* PackageStruct::verifyFile

verifyscript scriptlet.

Definition at line 164 of file rpmspec.h.

Referenced by freePackage(), parseScript(), and processScriptFiles().

StringBuf PackageStruct::specialDoc

Definition at line 166 of file rpmspec.h.

Referenced by freePackage(), and processPackageFiles().

struct TriggerFileEntry* PackageStruct::triggerFiles`[read]`

Definition at line 168 of file rpmspec.h.

Referenced by addTriggerIndex(), freePackage(), and processScriptFiles().

const char* PackageStruct::fileFile

Definition at line 170 of file rpmspec.h.

Referenced by freePackage(), parseFiles(), and processPackageFiles().

StringBuf PackageStruct::fileList

Definition at line 171 of file rpmspec.h.

Referenced by freePackage(), packageBinaries(), parseFiles(), processBinaryFiles(), and processPackageFiles().

struct PackageStruct* PackageStruct::next`[read]`

Definition at line 173 of file rpmspec.h.

Referenced by doRmSource(), freePackages(), lookupPackage(), newPackage(), packageBinaries(), parseSpec(), printNewSpecfile(), processBinaryFiles(), processSourceFiles(), and rpmQueryVerify().

The documentation for this struct was generated from the following file:

- build/rpmspec.h